You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
yammat/yammat.cabal

190 lines
6.3 KiB

name: yammat
version: 0.0.8
cabal-version: >= 1.8
build-type: Simple
license: AGPL-3
license-file: LICENSE.md
author: Amedeo Molnár
maintainer: nek0@chelnok.de
Flag dev
Description: Turn on development settings, like auto-reload templates.
Default: False
Flag library-only
Description: Build for use with "yesod devel"
Default: False
library
exposed-modules: Application
Foundation
Import
Import.NoFoundation
Model
Settings
Settings.StaticFiles
Handler.Common
Handler.Home
Handler.Select
Handler.Restock
Handler.NewUser
Handler.Buy
Handler.Journal
Handler.Payout
Handler.Summary
Handler.Modify
Handler.CashCheck
Handler.Avatar
Handler.Barcode
Handler.Transfer
Handler.Supplier
Handler.SupplierActions
Handler.Demand
Handler.Statistics
Handler.Pinentry
if flag(dev) || flag(library-only)
cpp-options: -DDEVELOPMENT -DHTTP_CLIENT
ghc-options: -Wall -fwarn-tabs -O0
else
ghc-options: -Wall -fwarn-tabs -O2
extensions: TemplateHaskell
QuasiQuotes
OverloadedStrings
NoImplicitPrelude
CPP
MultiParamTypeClasses
TypeFamilies
GADTs
GeneralizedNewtypeDeriving
FlexibleContexts
EmptyDataDecls
NoMonomorphismRestriction
DeriveDataTypeable
ViewPatterns
TupleSections
RecordWildCards
DerivingStrategies
StandaloneDeriving
UndecidableInstances
DataKinds
FlexibleInstances
build-depends: base >= 4 && < 5
, yesod >= 1.6
, yesod-core >= 1.6
, yesod-auth >= 1.6
, yesod-static >= 1.6
, yesod-form >= 1.6
, classy-prelude >= 0.10.2
, classy-prelude-conduit >= 0.10.2
, classy-prelude-yesod >= 0.10.2
, bytestring >= 0.9
, text >= 0.11
, persistent >= 2.0
, persistent-postgresql >= 2.1.2
, persistent-template >= 2.0
, template-haskell
, shakespeare >= 2.0
, hjsmin >= 0.1
, monad-control >= 0.3
, wai-extra >= 3.0
, yaml >= 0.8
, http-conduit >= 2.1
, directory >= 1.1
, warp >= 3.0
, data-default
, aeson >= 0.6
, conduit >= 1.0
, monad-logger >= 0.3
, fast-logger >= 2.2
, wai-logger >= 2.2
, safe-exceptions
, file-embed
, safe
, unordered-containers
, containers
, vector
, time >= 1.8
-- snip
, mime-mail
, blaze-markup
, wai
, blaze-builder
, split
, conduit-extra
, JuicyPixels >= 3.2.7
, JuicyPixels-scale-dct
, cryptohash
, base64-bytestring
-- for Migrations
, HDBC
, HDBC-postgresql
, bytestring
, cryptohash
, base64-bytestring
executable yammat
if flag(library-only)
Buildable: False
main-is: main.hs
hs-source-dirs: app
build-depends: base, yammat
ghc-options: -threaded -O2 -rtsopts -with-rtsopts=-N
-- executable Migrate1
--
-- main-is: Migration.hs
-- hs-source-dirs: Migration/0.0.0-0.0.1
-- ghc-options: -Wall
-- build-depends: base
-- , HDBC
-- , HDBC-postgresql
-- , bytestring
-- , cryptohash
-- , base64-bytestring
test-suite test
type: exitcode-stdio-1.0
main-is: Spec.hs
hs-source-dirs: test
ghc-options: -Wall
extensions: TemplateHaskell
QuasiQuotes
OverloadedStrings
NoImplicitPrelude
CPP
MultiParamTypeClasses
TypeFamilies
GADTs
GeneralizedNewtypeDeriving
FlexibleContexts
EmptyDataDecls
NoMonomorphismRestriction
DeriveDataTypeable
ViewPatterns
TupleSections
other-modules: Handler.CommonSpec
Handler.HomeSpec
Handler.SupplierActionsSpec
Handler.SupplierSpec
TestImport
build-depends: base
, yammat
, yesod-test >= 1.4.2
, yesod-core
, yesod
, persistent
, persistent-mysql
, resourcet
, monad-logger
, transformers
, hspec
, classy-prelude
, classy-prelude-yesod